<?xml version="1.0"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>
<!DOCTYPE overlay SYSTEM "chrome://dustmeselectors/locale/preferences.dtd">

<dialog xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	id="dms-viewselectors"
	buttons="accept,cancel" 
	defaultButton="accept" 
	buttonlabelaccept="&dms.preferences.okay;" 
	buttonlabelcancel="&dms.preferences.cancel;" 
	buttonaccesskeyaccept="&dms.preferences.accesskey.okay;" 
	buttonaccesskeycancel="&dms.preferences.accesskey.cancel;" 
	ondialogaccept="DustMeSelectors_preferences.acceptChanges();"
	title="&dms.preferences.title;"
	onload="DustMeSelectors_preferences.preferencesDialogLoaded();"
	onunload="opener.DustMeSelectors_tools.saveDialogProps(this, 'preferences');">

	<script type="application/x-javascript" src="chrome://dustmeselectors/content/preferences.js"/>

	<hbox>
		<vbox>
			<groupbox>
				<caption label="&dms.preferences.group.main;"/>
				<checkbox id="dms-preference-disable" label="&dms.preferences.disable;"/>
				<checkbox id="dms-preference-showinstatus" label="&dms.preferences.showinstatus;"/>
			</groupbox>

			<groupbox>
				<caption label="&dms.preferences.group.view;"/>
				<checkbox id="dms-preference-remember" label="&dms.preferences.remember;"/>
				<checkbox id="dms-preference-openafterfind" label="&dms.preferences.openafterfind;"/>
				<checkbox id="dms-preference-openafterautorun" label="&dms.preferences.openafterautorun;"/>
				<checkbox id="dms-preference-openafterspider" label="&dms.preferences.openafterspider;"/>
			</groupbox>
			
			<groupbox>
				<caption label="&dms.preferences.group.automation;"/>
				<checkbox id="dms-preference-autorun" label="&dms.preferences.autorun;" 
					oncommand="DustMeSelectors_preferences.handleCheckboxChange(this);"/>
				<vbox style="margin-left:20px;">
					<checkbox id="dms-preference-mutation" label="&dms.preferences.mutation;"/>
				</vbox>
			</groupbox>

			<groupbox>
				<caption label="&dms.preferences.group.spidering;"/>
				<checkbox id="dms-preference-restart" label="&dms.preferences.restart;"/>
				<checkbox id="dms-preference-nofollow" label="&dms.preferences.nofollow;"/>
				<checkbox id="dms-preference-ignorefragment" label="&dms.preferences.ignorefragment;"/>
			</groupbox>
		</vbox>
		<vbox>
			<groupbox>
				<caption label="&dms.preferences.group.stylesheets;"/>
				<checkbox id="dms-preference-ignorequery" label="&dms.preferences.ignorequery;"/>
				<checkbox id="dms-preference-includeelements" label="&dms.preferences.includeelements;"/>
				<checkbox id="dms-preference-accountforhacks" label="&dms.preferences.accountforhacks;"/>
			</groupbox>

			<groupbox>
				<caption label="&dms.preferences.group.saving;"/>
				<checkbox id="dms-preference-saveperhost" label="&dms.preferences.saveperhost;" 
					oncommand="DustMeSelectors_preferences.handleCheckboxChange(this);"/>
				<vbox style="margin-left:20px;">
					<checkbox id="dms-preference-ignorewww" label="&dms.preferences.ignorewww;"/>
					<checkbox id="dms-preference-ignoreports" label="&dms.preferences.ignoreports;"/>
				</vbox>
				<checkbox id="dms-preference-clearconfirm" label="&dms.preferences.clearconfirm;"/>
				<radiogroup>
					<radio id="dms-preference-radio-usepreffolder" label="&dms.preferences.usepreffolder;" 
					oncommand="DustMeSelectors_preferences.handleRadioChange(this);"/>
					<radio id="dms-preference-radio-specifyfolder" label="&dms.preferences.specifyfolder;" 
					oncommand="DustMeSelectors_preferences.handleRadioChange(this);"/>
				</radiogroup>
				<hbox>
					<textbox id="dms-preference-text-datafolder" readonly="true" disabled="true"/>
					<button id="dms-preference-browsebutton" label="&dms.preferences.browsebutton;" disabled="true" 
						oncommand="DustMeSelectors_preferences.chooseDataFolder();"/>
				</hbox>
			</groupbox>
		</vbox>
	</hbox>
	
</dialog>
